Delete Agent Folder
curl --request DELETE \
--url https://api.duvo.ai/v2/agent-folders/{folder_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/agent-folders/{folder_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/agent-folders/{folder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"message": "<string>",
"has_contents": true,
"agent_count": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Agent Folders
Delete Agent Folder
Delete an agent folder. If the folder contains assignments or subfolders, pass force=true to delete it and move the contained assignments to the root level.
DELETE
/
v2
/
agent-folders
/
{folder_id}
Delete Agent Folder
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The folder's unique identifier
Query Parameters
Pass 'true' to delete a folder that still contains assignments or subfolders. Any contained assignments will be moved to the root level.
Response
Default Response
Always true on success
Was this page helpful?
⌘I